init python:
    import math

    # Rename months into Time of Harvet, Time of Frost, Time of Planting, Time of Growth
    # Each Time is a 90 day period

    def month_switch(arg):
        # Seminandum, Crescente, Messis, Levisomnus
        calendarDictionary = {
            1: "Seminandum",
            2: "Crescente",
            3: "Messis",
            4: "Levisomnus"
        }
        return calendarDictionary.get(arg,"Invalid Month")

    def get_day_text(arg_day):
        dayDict = {
            1: "Novus",
            2: "Mane",
            3: "Meridiem",
            4: "Sero",
            5: "Paene",
            6: "Finis",
            7: "Error"
        }
        _i = arg_day - ((math.floor((arg_day-1) / 6)) * 6)

        return dayDict.get(_i,7)

    def add_time(_ho,_mi):
        global calendar, weather, relationship_fenna, relationship_dorzakk, relationship_morty, relationship_lucia, relationship_lyra
        calendar[4] += _mi
        while calendar[4] >= 60:
            calendar[4] -= 60
            calendar[3] += 1

        calendar[3] += _ho
        while calendar[3] >= 24:
            calendar[3] -= 24
            calendar[2] += 1
            # SET WEATHER
            # _weatherDict = {1:"clear", 2:"rain", 3:"storm"}
            _i = renpy.random.randint(1,6) + renpy.random.randint(1,6)
            if _i == 12:
                weather = 3
            elif _i >= 10:
                weather = 2
            else:
                weather = 1

            # Reset Shop Inventories
            if calendar[2]-1 % 6 == 0:
                global mickeyInventory, agathaInventory, dorzakkInventory, crawlerInventory, mortyInventory
                # MICKEY INVENTORY
                mickeyInventory = []
                addToInventory(mickeyInventory,item_apple,10)
                addToInventory(mickeyInventory,item_basic_spear,1)
                addToInventory(mickeyInventory,item_basic_dagger,1)
                addToInventory(mickeyInventory,book_frostbolt,1)
                addToInventory(mickeyInventory,book_poison_spray,1)
                addToInventory(mickeyInventory,item_nails,5)
                sortInventory(mickeyInventory,1)

                # AGATHA INVENTORY
                agathaInventory = []
                addToInventory(agathaInventory,item_potion_basic,4)
                sortInventory(agathaInventory,1)

                # DORZAKK INVENTORY
                dorzakkInventory = []
                addToInventory(dorzakkInventory,book_frostbolt,1)
                addToInventory(dorzakkInventory,book_poison_spray,1)
                sortInventory(dorzakkInventory,1)

                # CRAWLER INVENTORY
                crawlerInventory = []
                addToInventory(crawlerInventory,book_frostbolt,1)
                addToInventory(crawlerInventory,book_poison_spray,1)
                sortInventory(crawlerInventory,1)

                # MORTY INVENTORY
                mortyInventory = []
                addToInventory(mortyInventory,item_ale,4)
                addToInventory(mortyInventory,item_mead,16)
                addToInventory(mortyInventory,item_wine,16)
                global bloody_lip, inventory
                if bloody_lip['room_21'] == "" and numberOfItem(inventory,item_key_21) == 0:
                    addToInventory(mortyInventory,item_key_21,1)
                if bloody_lip['room_22'] == "" and numberOfItem(inventory,item_key_22) == 0:
                    addToInventory(mortyInventory,item_key_22,1)
                if bloody_lip['room_23'] == "" and numberOfItem(inventory,item_key_23) == 0:
                    addToInventory(mortyInventory,item_key_23,1)
                if bloody_lip['room_24'] == "" and numberOfItem(inventory,item_key_24) == 0:
                    addToInventory(mortyInventory,item_key_24,1)
                if bloody_lip['room_25'] == "" and numberOfItem(inventory,item_key_25) == 0:
                    addToInventory(mortyInventory,item_key_25,1)
                if bloody_lip['room_26'] == "" and numberOfItem(inventory,item_key_26) == 0:
                    addToInventory(mortyInventory,item_key_26,1)
                sortInventory(mortyInventory,1)

        while calendar[2] > 30:
            calendar[2] -= 30
            calendar[1] += 1

        while calendar[1] > 4:
            calendar[1] -= 4
            calendar[0] += 1

        # UPDATE CHARACTER LOCATIONS
        # FENNA
        if relationship_fenna['helping_lyra']:
            if weather == 1:
                if calendar[3] > 7 and calendar[3] < 20:
                    relationship_fenna['location'] = 'cathedral_interior'
                elif calendar[3] < 24:
                    relationship_fenna['location'] = 'bloody_lip'
                else:
                    relationship_fenna['location'] = 'bedroom'
            else:
                if calendar[3] > 7 and calendar[3] < 24:
                    relationship_fenna['location'] = 'bloody_lip'
                else:
                    relationship_fenna['location'] = 'bedroom'
        else:
            # Clear
            if weather == 1:
                if calendar[3] > 7 and calendar[3] < 20:
                    relationship_fenna['location'] = 'last_drop_beehives'
                elif calendar[3] > 19:
                    relationship_fenna['location'] = 'last_drop_interior'
                else:
                    relationship_fenna['location'] = 'bedroom'
            else:
                if calendar[3] > 7 and calendar[3] < 24:
                    relationship_fenna['location'] = 'last_drop_interior'
                else:
                    relationship_fenna['location'] = 'bedroom'

        # DORZAKK
        if (((calendar[0]-952) * 120) + ((calendar[1]-1) * 30) + calendar[2])  >= 3:
            if relationship_dorzakk['injured']:
                if calendar[3] > 7 and calendar[3] < 24:
                    relationship_dorzakk['location'] = 'last_drop_interior'
                else:
                    relationship_dorzakk['location'] = 'bedroom'
            else:
                if relationship_dorzakk['helping_lyra']:
                    if weather == 1:
                        if calendar[3] > 7 and calendar[3] < 20:
                            relationship_dorzakk['location'] = 'cathedral_interior'
                        elif calendar[3] > 19:
                            relationship_dorzakk['location'] = 'bloody_lip'
                        else:
                            relationship_dorzakk['location'] = 'bedroom'
                    else:
                        if calendar[3] > 7 and calendar[3] < 24:
                            relationship_dorzakk['location'] = 'bloody_lip'
                        else:
                            relationship_dorzakk['location'] = 'bedroom'
                else:
                    # Clear
                    if weather == 1:
                        if calendar[3] > 7 and calendar[3] < 20:
                            relationship_dorzakk['location'] = 'last_drop_exterior'
                        elif calendar[3] > 19:
                            relationship_dorzakk['location'] = 'last_drop_interior'
                        else:
                            relationship_dorzakk['location'] = 'bedroom'
                    else:
                        if calendar[3] > 7 and calendar[3] < 24:
                            relationship_dorzakk['location'] = 'last_drop_interior'
                        else:
                            relationship_dorzakk['location'] = 'bedroom'
        else:
            relationship_dorzakk['location'] = "none"

        # LUCIA
        if calendar[3] > 5 and calendar[3] < 18:
            relationship_lucia['location'] = 'coffin'
        else:
            relationship_lucia['location'] = 'bloody_lip'

        # MORTY
        if calendar[3] > 5 and calendar[3] < 18:
            relationship_morty['location'] = 'bloody_lip'
        else:
            relationship_morty['location'] = 'bedroom'

        # LYRA
        if weather == 1:
            if calendar[3] > 7 and calendar[3] < 20:
                relationship_lyra['location'] = 'cathedral_interior'
            elif calendar[3] > 19:
                relationship_lyra['location'] = 'bloody_lip'
            else:
                relationship_lyra['location'] = 'bedroom'
        else:
            if calendar[3] > 7:
                relationship_lyra['location'] = 'bloody_lip'
            else:
                relationship_lyra['location'] = 'bedroom'
