label dev_mode:
    label .activate:
        # COMBAT
        # $ pc_skills.append([skill_strike,True])
        $ pc_skills.append([skill_smash,True])
        $ pc_skills.append([skill_gore,True])
        $ pc_skills.append([skill_bite,True])
        # SURVIVAL
        $ pc_skills.append([skill_stab,True])
        $ pc_skills.append([skill_pierce,True])
        $ pc_skills.append([skill_lob_potion,True])
        # GLAMOUR
        # $ pc_skills.append([skill_flirt,True])
        $ pc_skills.append([skill_siren_song,True])
        $ pc_skills.append([skill_sweet_kiss,True])
        $ pc_skills.append([skill_cute_charm,True])
        # ACUMEN
        $ pc_skills.append([skill_dark_whisper,True])
        $ pc_skills.append([skill_poison_spray,True])
        $ pc_skills.append([skill_frostbolt,True])
        $ pc_skills.append([skill_inferno,True])

        jump dev_mode.main_menu

    label .main_menu:
        menu:
            "Arrange Skills":
                hide screen clock
                hide screen menubar
                $ selected_item = None
                $ selected_skill = None

                call screen skill_screen() with dissolve
            "Level Up":
                menu:
                    "Combat":
                        python:
                            pc.hp += 10
                            pc.max_hp += 10
                            pc.libido += 5
                            pc.max_libido += 5
                            pc.combat += 5
                            pc.survival += 1
                            pc.acumen += 1
                            pc.glamour += 1
                            pc.level += 1
                    "Survival":
                        python:
                            pc.hp += 10
                            pc.max_hp += 10
                            pc.libido += 5
                            pc.max_libido += 5
                            pc.combat += 1
                            pc.survival += 5
                            pc.acumen += 1
                            pc.glamour += 1
                            pc.level += 1
                    "Acumen":
                        python:
                            pc.hp += 5
                            pc.max_hp += 5
                            pc.libido += 10
                            pc.max_libido += 10
                            pc.combat += 1
                            pc.survival += 1
                            pc.acumen += 5
                            pc.glamour += 1
                            pc.level += 1
                    "Glamour":
                        python:
                            pc.hp += 5
                            pc.max_hp += 5
                            pc.libido += 10
                            pc.max_libido += 10
                            pc.combat += 1
                            pc.survival += 1
                            pc.acumen += 1
                            pc.glamour += 5
                            pc.level += 1
                    "Pass":
                        pass

                jump dev_mode.main_menu
            "Race":
                menu:
                    "Kobold":
                        $ pc.profile['Race'] = "Kobold"
                        $ pc_appearance['Height'] = 25
                        $ pc_appearance['Overheight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                        $ pc_appearance['Weight'] = 25
                        $ pc_appearance['Overweight'] = renpy.random.choice([0.5,1,1.5])
                        $ pc_appearance['Skin Color'] = "Pink"
                        $ pc_appearance['Scale Color'] = renpy.random.choice(["Red","Orange","Yellow","Black","Blue","Green"])
                        $ pc_appearance['Face'] = "Kobold"
                        $ pc_appearance['Legs'] = "Reptile Digitigrade"
                        $ pc_appearance['Arms'] = "Reptile"
                        $ pc_appearance['Torso'] = "Reptile"
                        $ pc_appearance['Ears'] = "Reptile"
                        $ pc_appearance['Tail'] = "Reptile"
                        if pc.profile['Gender'] == "Male":
                            $ pc_appearance['Balls'] = False
                            $ pc_appearance['Sheath'] = "Slit"
                            $ pc_appearance['Cock Type'] = "Human"
                        else:
                            $ pc_appearance['Balls'] = False

                jump dev_mode.main_menu
            "Battle Goblin":
                $ pc.hp = pc.max_hp
                $ pc.libido = int(pc.max_libido/2)
                $ _enemy = copy.copy(mob_goblin_male_01)
                $ last_scene = 'dev_mode.main_menu'
                call scene_battle_setup pass (_en = _enemy,_con = chooseCondition(),_ambush = False) from _call_scene_battle_setup_14
            "Battle Siren":
                $ pc.hp = pc.max_hp
                $ pc.libido = int(pc.max_libido/2)
                $ _enemy = copy.copy(mob_siren_male_01)
                $ last_scene = 'dev_mode.main_menu'
                call scene_battle_setup pass (_en = _enemy,_con = chooseCondition(),_ambush = False) from _call_scene_battle_setup_15
            "Battle Werewolf":
                $ pc.hp = pc.max_hp
                $ pc.libido = int(pc.max_libido/2)
                $ _enemy = copy.copy(mob_werewolf_male_01)
                $ last_scene = 'dev_mode.main_menu'
                call scene_battle_setup pass (_en = _enemy,_con = chooseCondition(),_ambush = False) from _call_scene_battle_setup_16

        jump dev_mode.main_menu
