init python:
    import copy
    class dmg_type:
        physical = 0
        lust = 1
        magic = 2
        # fire = 3
        radiant = 4
        poison = 5
        cold = 6
        lightning = 7

        weapon = 8
        humor = 9
        crude = 10
        lewd = 11
        passion = 12
        calm = 13
        intimidation = 14

        earth = 15
        water = 16
        fire = 17
        air = 18

    class InventoryItem:
        def __init__(self,id_key,img,val,xp,name,desc,max_amount,vii = False):
            self.id_key = id_key
            self.img = img
            self.val = val
            self.xp = xp
            self.name = name
            self.max_amount = max_amount
            self.description = desc
            self.vii = vii # Very Important Item cannot be discarded

    def getName(it):
        return it[0].name
    def getIdKey(it):
        return it[0].id_key

    def getEquipInInventory(it):
        global inventory
        _i = 0
        while _i < len(inventory):
            if inventory[_i][0].id_key == it.id_key:
                return _i
            else:
                _i += 1
        return None

    def sortInventory(inven,how):
        # How determines what way the inventory should be sorted.
        # 1 Alphabetically
        # 2 id_key
        # 3 Amount
        # global inventory
        if how == 1:
            inven.sort(key=getName)
        if how == 2:
            inven.sort(key=getIdKey)

    def addToInventory(inven,item,amo):
        # global inventory
        i = 0
        _a = amo
        added = False
        while i in range(len(inven)) and _a > 0: # not added and
            # If it's the same item being added, see if that item already exists in the inventory
            # If the item exists increase the amount
            # Else add a new slot for the item
            if item.id_key == inven[i][0].id_key:
                # Check if there is available space in this inventory slot
                if inven[i][1] < item.max_amount:
                    inven[i][1] += _a
                    if inven[i][1] >= item.max_amount:
                        _a = inven[i][1] - item.max_amount
                        inven[i][1] = item.max_amount
                    else:
                        _a -= _a
                    #     inventory.append([copy.copy(item),amo])

            if _a <= 0:
                added = True

            i += 1
        while _a > 0:
            if _a > item.max_amount:
                inven.append([copy.copy(item),item.max_amount])
                _a -= item.max_amount
            else:
                inven.append([copy.copy(item),_a])
                _a -= _a

    # Removes items from an inventory position
    def removeFromInventory(inven,p,amo):
        # global inventory
        # First make sure the item is not equipped
        if isinstance(inven[p][0],Equipable):
            if inven[p][0].is_equipped:
                return None
        _r = []
        _r.append(copy.copy(inven[p][0]))
        _a = inven[p][1]
        if _a >= amo:
            _a = amo
        _r.append(_a)

        inven[p][1] -= amo
        if inven[p][1] <= 0:
            inven.pop(p)
            selected_item = None
            selected_buy = None

    def removeQuestItem(it,amo):
        global inventory
        i = 0
        _a = amo
        removed = False
        while i in range(len(inventory)) and _a > 0:
            # Loop until the correct amount of an itme has been removed
            if it.id_key == inventory[i][0].id_key:
                # If the amount to be removed is less then or equal to the amount in this slot
                _a = _a - inventory[i][1]
                removeFromInventory(inventory,i,amo)
            i += 1

    def removeFromSell(p):
        global sellInventory
        if p < len(sellInventory):
            sellInventory.pop(p)

    def removeFromBuy(p):
        global buyInventory
        if p < len(buyInventory):
            buyInventory.pop(p)

    def emptySell():
        global sellInventory
        while sellInventory != []:
            addToInventory(inventory,sellInventory[0][0],sellInventory[0][1])
            removeFromSell(0)

    def emptyBuy():
        global buyInventory
        while buyInventory != []:
            addToInventory(shopInventory,buyInventory[0][0],buyInventory[0][1])
            removeFromBuy(0)

    def numberOfItem(inven,it):
        _amo = 0
        for _i in inven:
            if _i[0].id_key == it.id_key:
                _amo += _i[1]

        return _amo

    # removeItem removes a specific type of item
    def removeItem(inven,it,amo):
        if numberOfItem(inven,it) >= amo:
            _i = 0
            while _i in range(len(inven)):
                # Search inventory for first instance of it
                if inven[_i][0].id_key == it.id_key:
                    # Amo to be removed is above the amount in this position
                    # Remove these items and repeat loop
                    if amo > inven[_i][1]:
                        amo -= inven[_i][1]
                        removeFromInventory(inven,_i,inven[_i][1])
                        _i = 0
                    else:
                        removeFromInventory(inven,_i,amo)
                        amo = 0
                        _i = len(inven)
                _i += 1
            return True
        else:
            # Trying to remove more items then exist in the inventory.
            # Return false and remove no items
            return False

    # Search through the inventory and remove num items
    def removeItemsAfterDefeat(num):
        global inventory
        _i = 0
        _to = 0
        _in = []
        # Get list of potential items to remove
        while _i in range(len(inventory)):
            if not isinstance(inventory[_i][0], Book) and not isinstance(inventory[_i][0], Equipable):
                if not inventory[_i][0].vii:
                    _p = int(inventory[_i][1])
                    while _p > 0:
                        _in.append(_i)
                        _p -= 1
                    _to += inventory[_i][1]
            _i += 1
        if num > _to:
            num = _to
        # Search
        while num > 0:
            _i = renpy.random.randint(0,len(_in)-1)
            removeFromInventory(inventory,_in[_i],1)
            _in.pop(_i)

            num -= 1


    class Consumable(InventoryItem):
        def __init__(self,id_key,img,val,xp,name,desc,max_amount,hp_gain,hp_damage,libido_gain,libido_damage,buff_1,tier_1,dur_1,buff_2,tier_2,dur_2,buff_3,tier_3,dur_3,vii = False):
            InventoryItem.__init__(self,id_key,img,val,xp,name,desc,max_amount,vii)
            self.hp_gain = hp_gain
            self.hp_damage = hp_damage
            self.libido_gain = libido_gain
            self.libido_damage = libido_damage
            self.buff_1 = buff_1
            self.buff_2 = buff_2
            self.buff_3 = buff_3
            self.tier_1 = tier_1
            self.tier_2 = tier_2
            self.tier_3 = tier_3
            self.dur_1 = dur_1
            self.dur_2 = dur_2
            self.dur_3 = dur_3

        def useItem(self,target,in_combat):
            # inventory.remove(self)
            # REMEMBER TO REMOVE ITEM AFTER CALLING THIS COMMAND
            # in_combat is True or False and is used if the player is using an item during combat.
            # in_combat will return short descriptions of the items effects
            _description = []
            if self.hp_gain != None:
                _h = renpy.random.randint(self.hp_gain[0],self.hp_gain[1])
                if _h > 0:
                    if in_combat:
                        _description.append(str(target.profile['Name']) + " recovered " + str(_h) + " hit points.")
                    else:
                        _description.append(str(target.profile['Name']) + " feels a surge of energy as they recover " + str(_h) + " hit points.")
                elif self._h < 0:
                    if in_combat:
                        _description.append(str(target.profile['Name']) + " lost " + str(_h) + " hit points.")
                    else:
                        _description.append(str(target.profile['Name']) + " feels sick to their stomach losing " + str(_h) + " hit points.")

            if self.libido_gain != None:
                _l = renpy.random.randint(self.libido_gain[0],self.libido_gain[1])
                if _l > 0:
                    if in_combat:
                        _description.append(str(target.profile['Name']) + " gains " + str(_l) + " libido.")
                    else:
                        _description.append(str(target.profile['Name']) + " feels a rush of heat and desire gaining " + str(_l) + " libido.")
                elif _l < 0:
                    if in_combat:
                        _description.append(str(target.profile['Name']) + " loses " + str(_l) + " libido.")
                    else:
                        _description.append(str(target.profile['Name']) + " feels melancholy and weak, losing " + str(_l) + " libido.")

            if self.buff_1 != None:
                _x = target.addBuff(self.buff_1,self.tier_1,self.dur_1)
                if _x != None:
                    if in_combat:
                        _description.append(_x[0])
                    else:
                        _description.append(_x[1])
            if self.buff_2 != None:
                _x = target.addBuff(self.buff_2,self.tier_2,self.dur_2)
                if _x != None:
                    if in_combat:
                        _description.append(_x[0])
                    else:
                        _description.append(_x[1])
            if self.buff_3 != None:
                _x = target.addBuff(self.buff_3,self.tier_3,self.dur_3)
                if _x != None:
                    if in_combat:
                        _description.append(_x[0])
                    else:
                        _description.append(_x[1])

            return _description

    class Book(InventoryItem):
        def __init__(self,id_key,img,val,xp,name,desc,max_amount,skill,vii = False):
            InventoryItem.__init__(self,id_key,img,val,xp,name,desc,max_amount,vii)
            self.skill = skill

        def readBook(self):
            global pc_skills
            _i = 0
            for _i in pc_skills:
                if _i[0] is self.skill:
                    _i[1] = True
                    return True
            pc_skills.append([self.skill,True])

    class Ingredient(InventoryItem):
        def __init__(self,id_key,img,val,xp,name,desc,max_amount,hp_gain,hp_damage,libido_gain,libido_damage,buff_1,buff_2,vii = False):
            InventoryItem.__init__(self,id_key,img,val,xp,name,desc,max_amount,vii)
            self.hp_gain = hp_gain
            self.hp_damage = hp_damage
            self.libido_gain = libido_gain
            self.libido_damage = libido_damage
            self.buff_1 = buff_1
            self.buff_2 = buff_2

    class Equipable(InventoryItem):
        def __init__(self,id_key,img,val,xp,name,desc,locked,vii = False):
            InventoryItem.__init__(self,id_key,img,val,xp,name,desc,1,vii)
            # Locked is used to determine if the item cannot be unequipped
            self.locked = locked
            self.is_equipped = False
            self.equipped_to = None

        def equip(self,target):
            self.is_equipped = True
            self.equipped_to = target

        def unequip(self):
            self.is_equipped = False
            self.equipped_to = None

    class Weapon_Type():
        MISC = 0
        SWORD = 1
        SHIELD = 2
        STAFF = 3
        AXE = 4
        BOOK = 5
        BOW = 6

    class Weapon(Equipable):
        ## Slot = Number of hands it takes to wield 1-2
        ## Damage = Physical damage dice, kept in an array
        ## Lust = Lust damage dice, kept in an array
        ## Defense = Defense dice bonus, kept in an array
        ## Res = Resist libido drain dice bonus, kept in an array
        ## Attacks = number of attacks
        ## Type = Physical, Flirt, Spell
        ## Tier = What tier is this weapon
        def __init__(self,id_key,img,val,xp,name,desc,locked,slot,combat_att,survival_att,acumen_att,glamour_att,combat_def,survival_def,acumen_def,glamour_def,type,tier,heavy=False,pierce=False,reach=False,d_type = dmg_type.weapon,l_type = dmg_type.passion,vii = False):
            Equipable.__init__(self,id_key,img,val,xp,name,desc,locked,vii)
            self.slot = slot
            self.combat_att = combat_att
            self.survival_att = survival_att
            self.acumen_att = acumen_att
            self.glamour_att = glamour_att
            self.combat_def = combat_def
            self.survival_def = survival_def
            self.acumen_def = acumen_def
            self.glamour_def = glamour_def
            self.type = type
            self.tier = tier
            self.heavy = heavy
            self.pierce = pierce
            self.reach = reach
            self.d_type = d_type
            self.l_type = l_type

        def equip(self,target):
            if isinstance(target,Mob):
                Equipable.equip(self,target)
                target.equip_weapon(self)

        def unequip(self):
            if isinstance(self.equipped_to,Mob):
                self.equipped_to.unequip_weapon(self.slot)
                Equipable.unequip(self)

    class Armor(Equipable):

        def __init__(self,id_key,img,val,xp,name,desc,locked,slot,combat_att,survival_att,acumen_att,glamour_att,combat_def,survival_def,acumen_def,glamour_def,boon,tier,vii = False):
            Equipable.__init__(self,id_key,img,val,xp,name,desc,locked,vii)
            self.slot = slot
            self.combat_att = combat_att
            self.survival_att = survival_att
            self.acumen_att = acumen_att
            self.glamour_att = glamour_att
            self.combat_def = combat_def
            self.survival_def = survival_def
            self.acumen_def = acumen_def
            self.glamour_def = glamour_def
            self.boon = []
            self.boon += boon
            self.tier = tier

        def equip(self,target):
            Equipable.equip(self,target)
            target.equip_armor(self,self.slot)

        def unequip(self):
            self.equipped_to.unequip_armor(self.slot)
            Equipable.unequip(self)

    # def callInventory():
    #     renpy.call("scene_inventory")
    #     return

    def indoor():
        global accessInventory,accessMap
        renpy.show_screen("clock")
        accessInventory = True
        accessMap = False
        renpy.show_screen("menubar",_op2 = True,_op3 = False)

    def outdoor():
        global accessInventory,accessMap
        renpy.show_screen("clock")
        accessInventory = True
        accessMap = True
        renpy.show_screen("menubar",_op2 = True,_op3 = True)
