style inventory_frame:
    background Frame("gui/frames/test_frame.png",16,16)
    xmargin 0
    ymargin 0
    xpadding 0
    ypadding 0

style inven_item:
    background Frame("gui/frames/test_frame.png",16,16)
    xmargin 0
    ymargin 0
    xpadding 0
    ypadding 8

screen inventory_screen():
    modal True
    default tip = Tooltip("")
    zorder 100
    add "#000"
    add "gui/frames/inventory_frame.png" pos(0.0,0.0) anchor(0.0,0.0)

    # WRITE BUFFS
    vbox:
        pos (32,128)
        for _i, _k in pc.buff.items():
            if _k[0]:
                text _i + " [_k[1]]"  color "#707070" align(0.0,0.0) size 16
            else:
                text _i  color "#707070" align(0.0,0.0) size 16

    fixed:
        pos (909,8)
        xysize (355,80)
        imagebutton auto "gui/button/exitbutton_%s.png" action [Hide("inventory_screen"),Show("menubar")] area (279,0,80,80) anchor (0.5,0.5) focus_mask "gui/button/button_mask.png"
    #  Basic Info *************
    vbox:
        pos (270,37)
        text "Name- " color "#707070" align(0.0,0.0) size 16
        text "Level-" color "#707070" align(0.0,0.0) size 16
        text "Health-" color "#707070" align(0.0,0.0) size 16
        text "Libido-" color "#707070" align(0.0,0.0) size 16
    vbox:
        pos (366,37)
        text pc.profile['Name'] color "#707070" align(1.0,0.0) size 16
        text "[pc.level]" color "#707070" align(1.0,0.0) size 16
        text "[pc.hp] / [pc.max_hp]" color "#707070" align(1.0,0.0) size 16
        text "[pc.libido] / [pc.max_libido]" color "#707070" align(1.0,0.0) size 16
    #  Profile Info ************
    vbox:
        pos (436,37)
        text "Race-" color "#707070" align(0.0,0.0) size 16
        text "Gender-" color "#707070" align(0.0,0.0) size 16
        text "Height-" color "#707070" align(0.0,0.0) size 16
        text "Weight-" color "#707070" align(0.0,0.0) size 16
    vbox:
        pos (510,37)
        text pc.profile['Race'] color "#707070" align(1.0,0.0) size 16
        text pc.profile['Gender'] color "#707070" align(1.0,0.0) size 16
        $ _hei = str(pc_appearance['Height'] + pc_appearance['Overheight'])
        $ _wei = str(pc_appearance['Weight'] + (pc_appearance['Overweight'] * pc_appearance['Overheight']))
        text _hei + " Inches" color "#707070" align(1.0,0.0) size 16
        text _wei + " Lbs" color "#707070" align(1.0,0.0) size 16


    text "COMB" color "#707070" anchor(0.5,0.0) size 16 pos (340,133)
    text "SURV" color "#707070" anchor(0.5,0.0) size 16 pos (408,133)
    text "ACUM" color "#707070" anchor(0.5,0.0) size 16 pos (476,133)
    text "GLAM" color "#707070" anchor(0.5,0.0) size 16 pos (544,133)

    text "BAS" color "#707070" anchor(0.0,0.0) size 16 pos (270,159)
    text "ATK" color "#707070" anchor(0.0,0.0) size 16 pos (270,185)
    text "DEF" color "#707070" anchor(0.0,0.0) size 16 pos (270,211)

    text "[pc.combat]" color "#707070" anchor(0.5,0.0) size 16 pos (340,159)
    text "[pc.survival]" color "#707070" anchor(0.5,0.0) size 16 pos (408,159)
    text "[pc.acumen]" color "#707070" anchor(0.5,0.0) size 16 pos (476,159)
    text "[pc.glamour]" color "#707070" anchor(0.5,0.0) size 16 pos (544,159)

    $ _i = str(pc.get_combat_attack() + pc.combat)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (340,185)
    $ _i = str(pc.get_survival_attack() + pc.survival)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (408,185)
    $ _i = str(pc.get_acumen_attack() + pc.acumen)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (476,185)
    $ _i = str(pc.get_glamour_attack() + pc.glamour)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (544,185)

    $ _i = str(pc.get_combat_defense() + pc.combat)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (340,211)
    $ _i = str(pc.get_survival_defense() + pc.survival)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (408,211)
    $ _i = str(pc.get_acumen_defense() + pc.acumen)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (476,211)
    $ _i = str(pc.get_glamour_defense() + pc.glamour)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (544,211)

    fixed:
        pos (263,259)
        if pc.equipment['Acc'] != None:
            imagebutton:
                idle pc.equipment['Acc'].img
                pos (6,6)
                if pc.equipment['Acc'] != None:
                    action SetVariable("selected_item",getEquipInInventory(pc.equipment['Acc']))
                else:
                    action NullAction()
        add "gui/frames/item_frame.png"
    fixed:
        pos (328,259)
        if pc.equipment['Chest'] != None:
            imagebutton:
                idle pc.equipment['Chest'].img
                pos (6,6)
                if pc.equipment['Chest'] != None:
                    action SetVariable("selected_item",getEquipInInventory(pc.equipment['Chest']))
                else:
                    action NullAction()
        add "gui/frames/item_frame.png"
    fixed:
        pos (393,259)
        if pc.equipment['Legs'] != None:
            imagebutton:
                idle pc.equipment['Legs'].img
                pos (6,6)
                if pc.equipment['Legs'] != None:
                    action SetVariable("selected_item",getEquipInInventory(pc.equipment['Legs']))
                else:
                    action NullAction()
        add "gui/frames/item_frame.png"
    fixed:
        pos (458,259)
        if pc.hands['Right'] != None:
            imagebutton:
                idle pc.hands['Right'].img
                pos (6,6)
                if pc.hands['Right'] != None:
                    action SetVariable("selected_item",getEquipInInventory(pc.hands['Right']))
                else:
                    action NullAction()
        add "gui/frames/item_frame.png"
    fixed:
        pos (523,259)
        if pc.hands['Left'] != None:
            imagebutton:
                idle pc.hands['Left'].img
                pos (6,6)
                if pc.hands['Left'] != None:
                    action SetVariable("selected_item",getEquipInInventory(pc.hands['Left']))
                else:
                    action NullAction()
        add "gui/frames/item_frame.png"

    #  Item Description *********
    frame:
        pos (650,35)
        xysize (416,156)
        xpadding 8
        background None
        if selected_item != None and selected_item < len(inventory):
            add inventory[selected_item][0].img pos (6,6)
            vbox:
                pos (72,8)
                text inventory[selected_item][0].name color "#707070" align(0.0,0.0) size 17 font "gui/fonts/Bradley Gratis.ttf"
                if isinstance(inventory[selected_item][0], Equipable):
                    $ _i = inventory[selected_item][0]
                    hbox:
                        spacing 16
                        text "ATK" color "#707070" align(0.0,0.0) size 15
                        text str(_i.combat_att) color "#707070" align(0.0,0.0) size 15
                        text str(_i.survival_att) color "#707070" align(0.0,0.0) size 15
                        text str(_i.acumen_att) color "#707070" align(0.0,0.0) size 15
                        text str(_i.glamour_att) color "#707070" align(0.0,0.0) size 15
                    hbox:
                        spacing 16
                        text "DEF" color "#707070" align(0.0,0.0) size 15
                        text str(_i.combat_def) color "#707070" align(0.0,0.0) size 15
                        text str(_i.survival_def) color "#707070" align(0.0,0.0) size 15
                        text str(_i.acumen_def) color "#707070" align(0.0,0.0) size 15
                        text str(_i.glamour_def) color "#707070" align(0.0,0.0) size 15

                text inventory[selected_item][0].description color "#707070" align(0.0,0.0) size 15 xmaximum 272

        add "gui/frames/item_frame.png"
    #  Item Actions *************
    if selected_item != None and selected_item < len(inventory):
        # CONSUMABLES ----------------------------------------------------------------------------------------
        if isinstance(inventory[selected_item][0], Consumable):
            imagebutton:
                pos (750,219)
                anchor (0.5,0.5)
                idle "gui/frames/generic_button_idle.png"
                hover "gui/frames/generic_button_hover.png"
                action [
                    SetVariable("consumable_text_point",0),
                    SetVariable("consumable_text",inventory[selected_item][0].useItem(pc, False)),
                    Function(removeFromInventory,inventory,selected_item,1),
                    Show("consumable_screen")]
            text "Consume" size 16 color "#000" anchor (0.5,0.5) pos (750,219)
        #
        #     imagebutton:
        #         pos (799,204)
        #         anchor (0.5,0.5)
        #         idle "gui/frames/generic_button_idle.png"
        #         hover "gui/frames/generic_button_hover.png"
        #         action NullAction() # Function(inventory[selected_item][0].useItem, pc)
        #     text "Discard" size 16 color "#000" anchor (0.5,0.5) pos (799,204)

        # BOOKS -----------------------------------------------------------------------------------------------
        if isinstance(inventory[selected_item][0], Book):
            imagebutton:
                pos (750,219)
                anchor (0.5,0.5)
                idle "gui/frames/generic_button_idle.png"
                hover "gui/frames/generic_button_hover.png"
                action [
                    Function(inventory[selected_item][0].readBook),
                    Function(removeFromInventory,inventory,selected_item,1)]
            text "Read" size 16 color "#000" anchor (0.5,0.5) pos (750,219)

        # WEAPON ----------------------------------------------------------------------------------------------
        if isinstance(inventory[selected_item][0], Weapon):
            if not inventory[selected_item][0].locked:
                imagebutton:
                    pos (750,219)
                    anchor (0.5,0.5)
                    idle "gui/frames/generic_button_idle.png"
                    hover "gui/frames/generic_button_hover.png"
                    if inventory[selected_item][0].is_equipped:
                        action Function(inventory[selected_item][0].unequip)
                    else:
                        action Function(inventory[selected_item][0].equip, pc)
                if inventory[selected_item][0].is_equipped:
                    text "Unequip" size 16 color "#000" anchor (0.5,0.5) pos (750,219)
                else:
                    text "Equip" size 16 color "#000" anchor (0.5,0.5) pos (750,219)

                # imagebutton:
                #     pos (799,204)
                #     anchor (0.5,0.5)
                #     idle "gui/frames/generic_button_idle.png"
                #     hover "gui/frames/generic_button_hover.png"
                #     action NullAction() # Function(inventory[selected_item][0].useItem, pc)
                # text "Discard" size 16 color "#000" anchor (0.5,0.5) pos (799,204)

        elif isinstance(inventory[selected_item][0], Armor):
            if not inventory[selected_item][0].locked:
                imagebutton:
                    pos (750,219)
                    anchor (0.5,0.5)
                    idle "gui/frames/generic_button_idle.png"
                    hover "gui/frames/generic_button_hover.png"
                    if inventory[selected_item][0].is_equipped:
                        action Function(inventory[selected_item][0].unequip)
                    else:
                        action Function(inventory[selected_item][0].equip, pc)
                if inventory[selected_item][0].is_equipped:
                    text "Unequip" size 16 color "#000" anchor (0.5,0.5) pos (750,219)
                else:
                    text "Equip" size 16 color "#000" anchor (0.5,0.5) pos (750,219)

                # imagebutton:
                #     pos (799,204)
                #     anchor (0.5,0.5)
                #     idle "gui/frames/generic_button_idle.png"
                #     hover "gui/frames/generic_button_hover.png"
                #     action NullAction() # Function(inventory[selected_item][0].useItem, pc)
                # text "Discard" size 16 color "#000" anchor (0.5,0.5) pos (799,204)
        # else:
        #     imagebutton:
        #         pos (669,204)
        #         anchor (0.5,0.5)
        #         idle "gui/frames/generic_button_idle.png"
        #         hover "gui/frames/generic_button_hover.png"
        #         action NullAction() # Function(inventory[selected_item][0].useItem, pc)
        #     text "Discard" size 16 color "#000" anchor (0.5,0.5) pos (669,204)

    #  Inventory List ***********
    frame:
        xpos 650
        ypos 258
        xysize (400,432)
        background None
        side "l":
            area (24,0,400,416)
            vpgrid id "inventory_scroller":
                cols 5
                spacing 4
                draggable True
                mousewheel True

                side_xalign 0.5

                for _i in range(len(inventory)):
                    $ item = inventory[_i][0]
                    $ amo = inventory[_i][1]
                    fixed:
                        xysize (63,114)
                        imagebutton:
                            idle inventory[_i][0].img
                            pos (6,6)
                            action SetVariable("selected_item",_i)
                        add "gui/frames/item_frame.png"
                        text "[item.val]" size 16 xanchor 0.0 yanchor 0.0 color "#000" pos (8,5)
                        text "[item.val]" size 16 xanchor 0.0 yanchor 0.0 color "#707070" pos (7,4)
                        text "[amo]/[item.max_amount]" size 16 xanchor 1.0 yanchor 1.0 color "#000" pos (61,112)
                        text "[amo]/[item.max_amount]" size 16 xanchor 1.0 yanchor 1.0 color "#707070" pos (60,111)
        vbar value YScrollValue ("inventory_scroller")

    # DRAW SKILLS
    $ i = 0
    for i in range(2):
        $ o = 0
        for o in range(3):

            # minimum (62,72)
            # maximum (62,72)
            if pc.skills[o + (i * 3)] != None:
                $ _ac = can_player_use_skill(pc.skills[o + (i * 3)])
                imagebutton:
                    pos (338 + (o * 64),410 + (i * 72))
                    # Draw skill icons
                    # ADD STAMINA CHECK
                    if selected_skill == o + (i * 3):
                        if _ac:
                            idle pc.skills[o + (i * 3)].img + "_color.jpg"
                        else:
                            idle pc.skills[o + (i * 3)].img + "_gray.jpg"
                        action SetVariable("selected_skill",None)
                    else:
                        if _ac:
                            idle pc.skills[o + (i * 3)].img + "_color.jpg"
                        else:
                            idle pc.skills[o + (i * 3)].img + "_gray.jpg"
                        action SetVariable("selected_skill",o + (i * 3))
            else:
                imagebutton:
                    pos (329 + (o * 64),392 + (i * 72))
                    if selected_skill == o + (i * 3):
                        idle "gui/frames/action_border_selected.png"
                    else:
                        idle "gui/frames/action_border_idle.png"
                    action SetVariable("selected_skill",o + (i * 3))

            if pc.skills[o + (i * 3)] != None:
                if pc.skills[o + (i * 3)].stam > 4:
                    if selected_skill == o + (i * 3):
                        add "gui/frames/action_border_" + str(pc.skills[o + (i * 3)]) + "stam_selected.png" pos (329 + (o * 64),392 + (i * 72))
                    else:
                        add "gui/frames/action_border_" + str(pc.skills[o + (i * 3)]) + "stam_idle.png" pos (329 + (o * 64),392 + (i * 72))
                else:
                    if selected_skill == o + (i * 3):
                        add "gui/frames/action_border_selected.png" pos (329 + (o * 64),392 + (i * 72))
                    else:
                        add "gui/frames/action_border_idle.png" pos (329 + (o * 64),392 + (i * 72))

    frame:
        # Draw Skill Information
        xpos 270
        ypos 555
        xysize (325,165)
        background None
        if selected_skill != None:
            vbox:
                # spacing 8
                hbox:
                    spacing 8
                    add pc.skills[selected_skill].img + "_color.jpg"
                    vbox:
                        text "{b}" + pc.skills[selected_skill].name + "{/b}" color "#707070" align(0.0,0.0) size 18
                        if pc.skills[selected_skill].star == star.crown:
                            text "Crown // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12
                        elif pc.skills[selected_skill].star == star.wand:
                            text "Wand // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12
                        elif pc.skills[selected_skill].star == star.chalice:
                            text "Chalice // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12
                        else:
                            text "Sword // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12

                hbox:
                    spacing 16
                    text "Init - " + str(pc.skills[selected_skill].initiative) color "#707070" align(0.0,0.0) size 14
                    text "Dmg  - " + str(pc.skills[selected_skill].dmg) color "#707070" align(0.0,0.0) size 14
                    text "Acc  - " + str(pc.skills[selected_skill].acc) color "#707070" align(0.0,0.0) size 14
                text pc.skills[selected_skill].description color "#707070" align(0.0,0.0) size 16


screen consumable_screen():
    zorder 200
    modal True

    fixed:
        add "gui/frames/consumable_frame.png"
        anchor (0.5,0.5)
        pos (0.5,0.5)
        xysize (500,300)
        # padding 16
        text consumable_text[consumable_text_point] text_align 0.5 # pos (0.5,0.0) # slow_cps(20)

    if consumable_text_point < len(consumable_text) - 1:
        button area(0.0,0.0,1280,720) action SetVariable("consumable_text_point",consumable_text_point + 1)
    else:
        button area(0.0,0.0,1280,720) action [Hide("consumable_screen")]
