
label scav_beach:
    label .shell:
        "Your feet sink slightly in the damp earth along the shore, water pooling in the foot prints you leave as you travel. You suddenly notice a shimmer along the sands, reaching down you find a few small discarded shells that might be of some value."
        menu:
            "Take the shells":
                $ addToInventory(inventory,item_shell,1)
                $ add_time(0,30)
            "Leave them":
                $ add_time(0,10)
                pass

        jump scene_last

    label .nothing:
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "The sun beats down across the beach, casting the dark stones in a bright glow. Large waves crash and lick at the coast violently. You spot several seagulls diving into the waves to grab at fish and other sea life. After spending nearly thirty minutes searching the coastline you give up and return to where you came."
                # Rain
                elif weather == 2:
                    "As you walk along the beach you're only greeted by the icy rain and wind. Waves crash along the desolate coastline, lapping dangerously towards your feet. The smooth pebbles shift under you weight with each step. You spend nearly thirty minutes exploring the area but the rain makes it difficult to find anything of value. Eventually you give up on your search and return to where you came."
                # Storm
                else:
                    "Lightning flashes ominously overhead as you search the surrounding area. Violent winds and rain cut through you with each step. You spend a long time searching the area. The darkness of the storm makes exploration difficult. Eventually you give up on your search, finding nothing of note and head back the way you came."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    "Messis Clear Find Nothing. Day"
                # Rain
                elif weather == 2:
                    "Messis Rain Find Nothing. Day"
                # Storm
                else:
                    "Messis Storm Find Nothing. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    "Levisomnus Clear Find Nothing. Day"
                # Rain
                elif weather == 2:
                    "Levisomnus Rain Find Nothing. Day"
                # Storm
                else:
                    "Levisomnus Storm Find Nothing. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Moonlight streams across the dark pebble stones. The light glitters across the rocks as you explore the surrounding area. Wave lap and crash against the coastline with deafening force. You spend nearly thirty minutes searching but find nothing of value. Eventually giving up you walk back the way you came."
                # Rain
                elif weather == 2:
                    "Rain beats down across the dark beach leaving a icy chill in your bones. You explore the area carefully, the slick pebbles shifting unsteadily under your feet. The heavy rain and dark clouds overhead makes it difficult to see anything. After thirty minutes of searching with nothing to show for it you turn around, returning the way you came."
                # Storm
                else:
                    "Lightning crashes overhead in violent bursts that light up the cloud covered sky. The crackle of thunder shakes the rocky beach as you explore the surroundings. Icy rain and bitter wind whistle passed, cutting into you like knives. You spend nearly thirty minutes fighting through the bitter chill before finally giving in. You turn and quickly walk back the way you came."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    "Messis Clear Find Nothing. Night"
                # Rain
                elif weather == 2:
                    "Messis Rain Find Nothing. Night"
                # Storm
                else:
                    "Messis Storm Find Nothing. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    "Levisomnus Clear Find Nothing. Night"
                # Rain
                elif weather == 2:
                    "Levisomnus Rain Find Nothing. Night"
                # Storm
                else:
                    "Levisomnus Storm Find Nothing. Night"

        jump scene_last
