
label scene_crawler:
    label .intro_1:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        "Taking some time to search the catacombs you find yourself walking down the various halls of the dead. Narrow corridors rise around you, meeting at pointed arched ceilings. Alcoves lined with bones and linen stretch out in like a web. The crypts are largely silent, except for the echoing sound of your foot steps as you walk. Eventually you reach a dead end and begin to walk back the way you came."
        "As you return to the entrance chamber you suddenly hear something that cuts through the silence. A strange muffled humming sound. In spite of how muffled the noise is, you can clearly make out the melody. It's a cheery little song, one that would easily get stuck in your head. Curiously you begin to search for the source, winding your way back through the various corridors."
        "You quickly come to a wall that appears to be the source of the noise, however you see no clear way to the other side. None of the other corridors move towards the noise. You begin to feel along the cold empty wall, searching for some way through. A few minutes of search later and you feel a small stone that appears to be somewhat loose. The stone presses easily into the wall."
        show bg basic with vpunch
        "You hear the grinding of gears and the shifting of stone as the wall next to you slides away. Dust shifts and breaks away from the walls in a large cloud. As the dust settles it reveals a stone hallway that turns sharply into a staircase. A sudden startled yelp echoes from down the hall, followed by the sounds of scrambling steps and papers being tossed about."
        "???" "\"Who's there? Don't come down.\" A frantic voice echoes up the stairs."
        "Curiosity gets the better of you and you can't help but poke your head down the stairs."
        "The sight before you is rather surprising, down the twenty foot staircase is a large room. The floor is covered with papers, scrolls and books that obscure the stone tiles. Several soft light cast a warm glow across the many desks, all covered in their own layer of books, papers and the occasional beaker or flask. The most startling scene is the person below."
        show crawler clothed_idle
        "You see a skeletal figure, completely bare of flesh standing at the bottom of the stairs, one leg shoved hastily through a pair of dingy pants. The skull stares up at you, it twists and animates into a look of embarrassment and shock."
        hide crawler with moveoutbottom
        menu:
            "With a startled shriek the skeleton falls back out of view. A crash of papers fly into view, accompanied by the clattering sound of bones hitting stone."
            "Wait here":
                # $ villain += 1
                "Shocked you don't know what to do, so you choose to do nothing and wait. You can hear the sound of scrambling as clothes are hastily put on, and papers and shoved hastily into piles. A few moments of noise are followed by a few minutes of silence. The silence is cut by a hesitant voice and skeletal head that poke out from behind the staircase archway."
                "???" "\"Are you still there? You can come down now. I apologize, I wasn't expecting visitors so I hadn't put on my face.\" They laugh sharply before disappearing back around the corner."
                "Taking the invitation you carefully descend the stairs, find yourself in what appears to be a cluttered laboratory of some kind. Beakers and alembics clutter tables. Inkwells and pens sit in scattered piles. Papers, scrolls and books litter every other exposed surface, making it difficult to walk. The skeleton stands to the side, now clothed in several sets of layered robes, making is skeletal figure appear slightly larger."
                show crawler clothed_idle with moveinright
                jump scene_crawler.intro_2

            "Apologize":
                player "\"I'm sorry for the intrution. I wasn't expecting... someone to be down here.\""
                "???" "\"Oh it's quite alright. I'm sorry I wasn't expecting company either, so I hadn't put on my face. I'll just be a moment.\" The skeleton's voice echoes up the passageway."
                "You can hear the sound of papers and books being scuffed along the stone tiles. The skeleton's bony feet clatter and rattle against the stone as he stumbles around the room. You can hear the frantic sounds of someone trying to clean and put themselves together for company. The noise lasts for a few minutes followed by several moments of silence."
                "???" "\"Are you still there? Please come down. I apologize for the wait, I wasn't expecting visitors so I hadn't put on my face.\" They say with a sharp laugh."
                "Taking the invitation you carefully descend the stairs, find yourself in what appears to be a cluttered laboratory of some kind. Beakers and alembics clutter tables. Inkwells and pens sit in scattered piles. Papers, scrolls and books litter every other exposed surface, making it difficult to walk. The skeleton stands to the side, now clothed in several sets of layered robes, making is skeletal figure appear slightly larger."
                show crawler clothed_idle with moveinright
                jump scene_crawler.intro_2

            "Go help the skeleton":
                # $ hero += 1
                "Seeing the skeleton go crashing out of view, you feel a sense of panic and rush to their aid. Stumbling down the stairs you see the full laboratory before you. Paper and books scattered across every surface. Old wooden desks with alembics and beakers. Strange chemical aromas hang in the air. Turning to the right you see the bizarre skeleton scrambling to right themselves off the floor."
                player "\"Are you alright?\" You ask concerned reaching a hand down to them, in an effort to help them up."
                show crawler clothed_idle with moveinbottom
                "The skeleton looks up at you for a moment before hastily covering their pelvis with their tattered pants. The skull contorts slightly in a look of mock embarrassment before reaching a skeletal hand up to you. They take your hand in a surprisingly firm grip."
                "Noticing their hesitance you turn your head away, pulling them to their feet. They're unsurprisingly quite light and you help them to their feet easily. Suddenly the weight vanishes, causing you to stumble and trip on the many papers that litter the floor."
                "Turning back to the skeleton you find them fully covered in several robes making them appear slightly bulkier then normal. Looking down you find yourself still holding the skeleton's hand which appears to have dislocated at the elbow. Startled, you scream and drop the hand abruptly, scrambling backwards."
                "The skeleton laughs vigorously, reaching down the collect the hand pressing it up into an empty sleeve. There's an unpleasant popping sound before the hand begins to flex and bend, seemingly reattached. The strange being reaches down a hand to help you up, the skull twisting to a cheeky expression."
                "???" "\"Sorry I keep falling apart.\" You take the hand shakily. The skeleton has a decent amount of strength for a pile of bones and helps you up easily. You dust yourself off, stepping back a little hesitantly, which earns another hearty laugh. \"Fear not, I'll be sure to keep my head about me.\""
                jump scene_crawler.intro_2

    label .intro_2:
        "???" "\"I must say I'm rather surprised to see someone all the way down here. You must be a truly die hard fan to come all this way to see me.\" The skeleton says with a haughty air, his chin pointed up and large confident grin across his skill."
        "Unfortunately you don't know who this is and find yourself at a loss. Before you can respond the skeleton seems to notice your confusion. A heartbroken expression crosses the animate skull. He gives a dramatic moan."
        "???" "\"So you aren't a fan?\" He gives a depressed wail, raising a skeletal arm to his forehead dramatically. \"Woe is the artist unappreciated by society. Even in death I go unappreciated.\""
        player "\"...I'm sorry..?\" You manage to mutter an apology between the skeletal being's dramatic moaning."
        "???" "\"I apologize, what a numskull I must be. I'm Crawler. You must be a fellow prisoner here on this desolate island.\""
        player "\"I'm [pc_name], it's a pleasure to meet you.\""
        $ relationship_crawler['met_crawler'] = True
        crawler "\"The pleasure is mine. It's been so long since I've had a proper guest, please make yourself at home.\" He gestures with a grand flourish at the sea of papers and books. You note the distinct lack of anywhere to sit."
        "Crawler steps up to a large pile of books and takes a seat on them, which prompts you to do the same. It's hardly comfortable and you find yourself fidgeting frequently in an effort to get comfortable."

        menu:
            crawler "\"I'm terribly sorry I don't have any food or tea to offer you. I find myself far less hungry as of late.\" He says with another powerful laugh. \"What is it that brought you all the way down to this humble crypt?\""
            "I was just exploring":
                $ relationship_crawler['exploring'] = 0
                crawler "\"There are plenty of place to explore on the ruins of this island. So many interesting places and people.\" He says excitedly. \"Though I suspect there are more important things to experience outside.\""
            "I heard rumors of a ghost":
                $ relationship_crawler['exploring'] = 1
                crawler "\"A ghost?! How terrible and dreadful. I have thankfully not encountered such a terrible creature as of yet and bless my bones that I won't.\" He says, voice trembling at the thought."
            "I was looking for a way off this island":
                $ relationship_crawler['exploring'] = 2
                crawler "\"Well you certainly won't find something like that down here. These tunnels run deep but certainly not far enough to reach the mainland. You'll need to commandeer a ship for something like that.\""

        crawler "\"It would be terrible for you to have come all this way only to leave with bone dry.\" He muses, stroking his chin. \"I know!\" He says suddenly. He shoot up rapidly, scattering a few books in the process. He walks over to you and grabs the collar around your neck, which falls away from you at his touch."

        ## Remove Collar Code
        $ _i = getEquipInInventory(item_magic_collar)
        $ inventory[_i][0].unequip()
        $ removeFromInventory(inventory,_i,1)
        $ addToInventory(inventory,item_broken_collar,1)

        "You feel a strange lightness as the weight is suddenly removed, your head feels clearer as well. A relief spreads through you as you reach up and touch your exposed neck. You can't help but chuckle."

        if relationship_crawler['exploring'] == 0:
            crawler "\"That should keep that adventurous spirit of yours going. Now my only request is that you return and tell me of your adventures whenever possible. Someone like you who seeks adventure in a crypt is certain to have plenty of stories to tell. That will serve as fibula-us inspiration for my books.\" He laughs heartily and claps his hands together."
        elif relationship_crawler['exploring'] == 1:
            crawler "\"That should keep that adventurous spirit of yours going. Now my only request is that you return and tell me of your adventures whenever possible. Someone who would delve into a crypt on rumors of a ghost is sure to have plenty of stories to tell. That will serve as fibula-us inspiration for my books.\" He laughs heartily and claps his hands together."
        else:
            crawler "\"That should keep that adventurous spirit of yours going. Now my only request is that you return and tell me of your adventures whenever possible. The exploits of a hero trapped on an island, seeking their way home will certainly have stories to tell. That will serve as fibula-us inspiration for my books.\" He laughs heartily and claps his hands together."

        player "\"How did you do that?\" You ask in astonishment, rubbing your neck slightly."
        crawler "\"Simple magic really, once you know the trick to it. The magic is quite simple really, anyone happy can remove them without issue. However they cause the wearer to become depressed and more susceptible to negative thoughts making it impossible to remove alone.\" The skeleton muses picking up a nearby quill and blank set of parchment. The sound of a pen nib scrawling across paper starts to fill the room."
        player "\"If you're able to do that why not remove the other prisoner's collars?\""
        crawler "\"I'm not really a fan of people or crowds. I think you'd be far more capable of helping all those pour people yourself. All you need to do is help them come to terms with their personal griefs and emotional damage.\""
        player "\"Oh is that all?\" You can't help but mutter sarcastically."
        crawler "\"I have complete and utter faith in you! While you go about your noble adventure I'll happily support you from the sidelines.\" He says cheerily, though with a sense of finality. He continues to scrawl hastily on the parchment, leaving you to explore the lab."

        jump scene_crawler.conversation

    label .talk:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg
        show crawler clothed_idle with dissolve

        if renpy.random.randint(1,2) == 1:
            crawler "\"Hello [pc_name], here to practice your social skulls?\" He says greeting you with a hearty laugh at his pun."
        else:
            crawler "\"Greetings and salutations [pc_name], how fair your adventures?\" He says flamboyantly with a large flourish of his hands."
        jump scene_crawler.conversation

    label .conversation:
        show crawler clothed_idle with dissolve
        menu:
            "What brought you here?":
                jump scene_crawler.here
            "What do you have to trade?":
                crawler "\"I have spells if you have the aptitude to master them.\""
                $ shopInventory = crawlerInventory
                hide screen menubar
                hide screen clock
                call screen shop_screen(inventory,shopInventory,1.5) with dissolve
                $ crawlerInventory = _return
                jump scene_crawler.conversation
            "What do you know about...":
                jump scene_crawler.information
            "Lyra needs help rebuilding the temple" if relationship_lyra['looking_for_help']:
                jump scene_crawler.help_lyra
            "That's all for now":
                jump scene_crawler.leave

    label .here:
        crawler "\"I was traveling north to find a cold place to work on my writing when my wagon broke down. It was at this point I realized I forgotten my skin and would likely freeze to death in the mountains.\" Crawler begins to explain. \"Fortunately for me a group of legion soldiers happened upon me. They through my onto a fire to heat my icy bones and then put on a ship off to this delightful island. Far away from all the noise and people it's reinvigorated my passion for writing.\""
        jump scene_crawler.conversation

    label .information:
        $ input_string = renpy.input("What can you tell me about...",length = 20,exclude = ".?!+-_@!#$%^&*()")
        # $ input_string = pc.profile['Name'].strip()

        if not input_string:
            $ input_string = ""

        if input_string.lower() == "collar" or input_string.lower() == "collars":
            crawler "\"I can't tell you much more I'm afraid. They cause the wearer to be more susceptible to negative thoughts and emotions. Any past regrets will come bubbling to the surface and they'll find it difficult to do anything.\" Crawler explains. \"The magic can be overcome by experiencing positive feelings, though it'll be more difficult for anyone who's worn the collars for an extended time.\""
        elif input_string.lower() == "vergesseneburg":
            crawler "\"That's the town above us. I don't see it very often, except on the night I wander the church.\""
        elif input_string.lower() == "c r lawre" or input_string.lower() == "crlawre":
            crawler "\"It's a rather clever pseudonym I use for all of my works.\" He says with a laugh."
        else:
            crawler "\"I'm sorry I don't know what you mean.\""

        $ input_string = ""
        jump scene_crawler.conversation

    label .help_lyra:
        crawler "\"Do these bones look like they're fit for helping with manual labor. Besides people working on the church means more people coming to my crypt. Just thinking of it fills me with anxiety. I'll never get any work done again. Perhaps I should devise a plan to drive her out.\" Crawler says beginning to muse."
        player "\"No, no. That's alright. I'm sure no one else will come down into your crypt.\" You say quickly."
        crawler "\"Well alright.\" He says with a shrug seeming to completely forget his panic."
        $ relationship_crawler['lyra_panic'] = True
        jump scene_crawler.conversation

    label .leave:
        crawler "\"Don't be a stranger [pc_name]. Best of luck in your adventures.\""
        hide crawler with dissolve
        jump scene_catacombs.crawlers_lab_2
