label scene_forest:
    label .south_01:
        $ outdoor()
        $ map_point = south_forest_01

        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            show bg forest_day with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Tall pine trees cluster together overhead creating a thick canopy of needles. Small beams of light break through, illuminating the barren forest floor. Several boot beaten paths branch out in several directions. The clear sign of other prisoners who have walked this path before you and a reminder of how close who've gotten to Fort Chastity and the Legion."
                # Rain
                elif weather == 2:
                    $ t = "The high branches of  tall pine trees form an effective roof against the rain. The clouds and branches also choke out the light leaving the forest dark and dismal. The trees appear as tall shadows that close in around you like prison walls. Tangle roots catch at your feet with each step. It's difficult to find your way in the storm but you think you're close to Fort Chastity."
                # Storm
                else:
                    $ t = "The high branches of  tall pine trees form an effective roof against the rain. Sharp claps of thunder echo across the trees with deafening force. Lightning flashes just enough to briefly illuminate the forest around you. The twisted shapes of trees and roots catch your eye for only a moment before being drawn back into shadow. With the brief flashes you also catch sight of footprints and the worn paths of other prisoners. You're getting close to Fort Chastity."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Forest Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Messis Day Rain"
                # Storm
                else:
                    $ _t = "Forest Messis Day Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Forest Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Levisomnus Day Rain"
                # Storm
                else:
                    $ _t = "Forest Levisomnus Day Storm"
        # Night
        else:
            show bg forest_night with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Tall pine trees cluster together forming a thick canopy overhead. Beams of moonlight peak through the needles, casting a dull light across the area. The light is just enough to keep you from tripping on the dense knot of roots that curl up out of the dirt. You can make out beaten paths, heavily traveled by other prisoners who passed through the area. You're getting close to Fort Chastity."
                # Rain
                elif weather == 2:
                    $ t = "Dark shadows stretch across the forest canopy like long fingers grasping at the sky. Roots tug and pull at your feet with each wary step. Rain drips slowly between the branches above, creating small muddy pools. A few waterlogged footprints extend in various directions, a clear sign of the numerous prisoners who passed through here before you."
                # Storm
                else:
                    $ t = "Dark shadows stretch across the forest canopy like long fingers grasping at the sky. Lightning flashes overhead granting brief illumination to the surrounding area. Rain drips heavily through the branches above, creating muddy pools. A few waterlogged footprints extend in various directions, a clear sign of the numerous prisoners who passed through here before you."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Forest Messis Night"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Messis Night Rain"
                # Storm
                else:
                    $ _t = "Forest Messis Night Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Forest Levisomnus Night"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Levisomnus Night Rain"
                # Storm
                else:
                    $ _t = "Forest Levisomnus Night Storm"

        menu:
            "[_t]"
            "Scavenge":
                jump scene_scavenge_begin
            "Explore" if map_point.explore != []:
                jump scene_explore_begin

    label .south_02:
        $ outdoor()
        $ map_point = south_forest_02

        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            show bg forest_day with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "A small clearing opens up before you. The high branches part revealing a clear sky above you. Sunlight pours across the grassy forest floor and reflects off a cluster of smooth stones. Small bits of moss creep up the sides of the stones. They're arranged in a circle with a long line of stones that appear to point towards The Last Drop."
                # Rain
                elif weather == 2:
                    $ t = "Rain pours heavily into a small clearing, the circle of trees that surround it provide only a little cover from the growing storm. Small puddles have formed in divots along the ground. A small circle of stones shimmer, slick with rain water. A long stretch of stones seem deliberately places to point towards The Last Drop."
                # Storm
                else:
                    $ t = "Rain streams heavily into this small clearing. The surrounding branches shake and shutter under the powerful winds. The whistling of wind and crashing of thunder is deafening. Tall trees extend upward like a cage around the clearing, illuminated sporadically by sharp flashes of lightning. Light glints and flashes off a cluster of water slick stones. The stones sit in a small circle, with a long line that points towards The Last Drop."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Forest Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Messis Day Rain"
                # Storm
                else:
                    $ _t = "Forest Messis Day Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Forest Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Levisomnus Day Rain"
                # Storm
                else:
                    $ _t = "Forest Levisomnus Day Storm"
        # Night
        else:
            show bg forest_night with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Moonlight streams into the clearing, casting a dull romantic glow across the space. The tall surrounding trees create a comforting barrier for the space. Soft grass shifts gently in the crisp night air. A few smooth stones shimmer in the moonlight, clustered in a deliberate circle. A line of stones points vaguely towards The Last Drop."
                # Rain
                elif weather == 2:
                    $ t = "Dark clouds swirl above the clearing, rain pours down steadily. Small puddles form in the grass, turning the ground slick. The dark clouds blot out any moonlight leaving the clearing dark and ominous. Tall shadowed trees stretch up towards the sky like a cage. A cluster of glistening stones sit at the center of the clearing, carefully arranged to point towards The Last Drop."
                # Storm
                else:
                    $ t = "Thunder crash overhead and echoes through the clearing. Rain pours between the trees and pools heavily across the ground. Tall trees stand silhouetted against the storm, branches trembling against the wind and rain. Lightning flashes and briefly lights the area, allowing you to see a cluster of smooth stones at the center. Light glints of the water soaked stones, which sit in a mossy ring. A single line of stones extends from it, vaguely pointing you towards The Last Drop."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Forest Messis Night"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Messis Night Rain"
                # Storm
                else:
                    $ _t = "Forest Messis Night Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Forest Levisomnus Night"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Levisomnus Night Rain"
                # Storm
                else:
                    $ _t = "Forest Levisomnus Night Storm"
        menu:
            "[_t]"
            "Scavenge":
                jump scene_scavenge_begin
            "Explore" if map_point.explore != []:
                jump scene_explore_begin

    label .south_03:
        $ outdoor()
        $ map_point = south_forest_03

        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            show bg forest_day with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = ""
                # Rain
                elif weather == 2:
                    $ t = ""
                # Storm
                else:
                    $ t = ""
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Forest Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Messis Day Rain"
                # Storm
                else:
                    $ _t = "Forest Messis Day Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Forest Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Levisomnus Day Rain"
                # Storm
                else:
                    $ _t = "Forest Levisomnus Day Storm"
        # Night
        else:
            show bg forest_night with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = ""
                # Rain
                elif weather == 2:
                    $ t = ""
                # Storm
                else:
                    $ t = ""
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Forest Messis Night"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Messis Night Rain"
                # Storm
                else:
                    $ _t = "Forest Messis Night Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Forest Levisomnus Night"
                # Rain
                elif weather == 2:
                    $ _t = "Forest Levisomnus Night Rain"
                # Storm
                else:
                    $ _t = "Forest Levisomnus Night Storm"
        menu:
            "[_t]"
            "Scavenge":
                jump scene_scavenge_begin
            "Explore" if map_point.explore != []:
                jump scene_explore_begin
