﻿screen storage_screen():
    # markup is a value from 1 to 3 that determines how much extra the shop charges for it's items
    modal True
    zorder 100
    add "#000"
    add "gui/frames/storage_frame.png" pos(0.5,0.5) anchor(0.5,0.5)
    # Exit
    imagebutton auto "gui/button/exitbutton_%s.png" action [SetVariable("selected_item",None),
                                                            Hide("storage_screen"),
                                                            Show("menubar"),
                                                            Show("clock"),
                                                            Return()] area (1188,8,80,80) anchor (0.5,0.5) focus_mask "gui/button/button_mask.png"

    if selected_item != None:
        #  Item Description *********
        frame:
            pos (284,42)
            xysize (332,156)
            xpadding 8
            background None
            if selected_item < len(inventory):
                add inventory[selected_item][0].img pos (6,6)
                vbox:
                    pos (72,8)
                    text inventory[selected_item][0].name color "#707070" align(0.0,0.0) size 17 font "gui/fonts/Bradley Gratis.ttf"
                    if isinstance(inventory[selected_item][0], Equipable):
                        $ _i = inventory[selected_item][0]
                        hbox:
                            spacing 16
                            text "ATK" color "#707070" align(0.0,0.0) size 15
                            text str(_i.combat_att) color "#707070" align(0.0,0.0) size 15
                            text str(_i.survival_att) color "#707070" align(0.0,0.0) size 15
                            text str(_i.acumen_att) color "#707070" align(0.0,0.0) size 15
                            text str(_i.glamour_att) color "#707070" align(0.0,0.0) size 15
                        hbox:
                            spacing 16
                            text "DEF" color "#707070" align(0.0,0.0) size 15
                            text str(_i.combat_def) color "#707070" align(0.0,0.0) size 15
                            text str(_i.survival_def) color "#707070" align(0.0,0.0) size 15
                            text str(_i.acumen_def) color "#707070" align(0.0,0.0) size 15
                            text str(_i.glamour_def) color "#707070" align(0.0,0.0) size 15

                    text inventory[selected_item][0].description color "#707070" align(0.0,0.0) size 15 xmaximum 236

            add "gui/frames/item_frame.png"
    # CHECK TO PREVENT EQUIPPED ITEMS FROM BEING ADDED TO SELL
    # CHECK TO PREVENT QUEST ITEMS FROM BEING SOLD
    $ _lock = True

    if selected_item != None:
        if selected_item < len(inventory):
            $ _lock = False
            if inventory[selected_item][0].vii:
                $ _lock = True
            elif isinstance(inventory[selected_item][0],Equipable):
                if inventory[selected_item][0].is_equipped:
                    $ _lock = True

    if _lock == False:
        hbox:
            xpos 244
            ypos 162
            xysize (400,100)
            # background None # Frame("gui/frames/test_frame.png",16,16)
            $ _i = str(inventory[selected_item][1])
            bar:
                value VariableValue("selected_amount",inventory[selected_item][1])
                # bar_resizing True
                base_bar Frame("gui/scrollbar/horizontal_bar.png",10,27,tile = True)
                thumb "gui/scrollbar/bar_thumb.png"
                thumb_offset 7
                left_gutter 8
                right_gutter 8
                anchor (0.5,0.5)
                pos (0.5,0.3)
                # xalign 0.5
                # yalign 0.25
                xysize (260,27)
        text "0" anchor(1.0,0.5) pos (320,212) size 16
        text _i anchor (0.0,0.5) pos(562,212) size 16

        imagebutton:
            idle "gui/frames/generic_button_idle.png"
            hover "gui/frames/generic_button_hover.png"
            action [Function(addToInventory,storage,inventory[selected_item][0],selected_amount),Function(removeFromInventory,inventory,selected_item,selected_amount),SetVariable("selected_item",None),Function(sortInventory,storage,1)]
            anchor (0.5,0.5)
            pos (446,230)
            # area (442,150,80,80)
        text str(selected_amount) anchor (0.5,0.5) pos (446,230) size 24 color "#000" font "gui/fonts/Bradley Gratis.ttf" #  + " / " + _i

    #  Inventory List ***********
    frame:
        xpos 290
        ypos 264
        xysize (400,432)
        background None
        side "l":
            area (24,0,400,416)
            vpgrid id "inventory_scroller":
                cols 4
                spacing 4
                draggable True
                mousewheel True

                side_xalign 0.5

                for _i in range(len(inventory)):
                    $ item = inventory[_i][0]
                    $ amo = inventory[_i][1]
                    fixed:
                        xysize (63,114)
                        imagebutton:
                            idle inventory[_i][0].img
                            pos (6,6)
                            action [SetVariable("selected_item",_i),SetVariable("selected_amount",0)]
                        add "gui/frames/item_frame.png"
                        text "[item.val]" size 16 xanchor 0.0 yanchor 0.0 color "#000" pos (8,5)
                        text "[item.val]" size 16 xanchor 0.0 yanchor 0.0 color "#707070" pos (7,4)
                        text "[amo]/[item.max_amount]" size 16 xanchor 1.0 yanchor 1.0 color "#000" pos (61,112)
                        text "[amo]/[item.max_amount]" size 16 xanchor 1.0 yanchor 1.0 color "#707070" pos (60,111)
        vbar value YScrollValue ("inventory_scroller")

    #  Storage List ***********
    frame:
        xpos 680
        ypos 42
        xysize (400,632)
        background None
        side "l":
            area (24,0,400,632)
            vpgrid id "storage_scroller":
                cols 4
                spacing 4
                draggable True
                mousewheel True

                side_xalign 0.5

                for _i in range(len(storage)):
                    $ item = storage[_i][0]
                    $ amo = storage[_i][1]
                    fixed:
                        xysize (63,114)
                        imagebutton:
                            idle storage[_i][0].img
                            pos (6,6)
                            action [Function(addToInventory,inventory,storage[_i][0],storage[_i][1]),Function(removeFromInventory,storage,_i,storage[_i][1]),Function(sortInventory,storage,1)]
                        add "gui/frames/item_frame.png"
                        text "[item.val]" size 16 xanchor 0.0 yanchor 0.0 color "#000" pos (8,5)
                        text "[item.val]" size 16 xanchor 0.0 yanchor 0.0 color "#707070" pos (7,4)
                        text "[amo]/[item.max_amount]" size 16 xanchor 1.0 yanchor 1.0 color "#000" pos (61,112)
                        text "[amo]/[item.max_amount]" size 16 xanchor 1.0 yanchor 1.0 color "#707070" pos (60,111)
        vbar value YScrollValue ("storage_scroller")
